<?

include_once('classes/utils/Deque.class.php');

//LIFO 

class Stack extends Deque{

	var $root;
		
	function Stack(){
		parent::Deque();
	}

	function push(&$object){
		$root  = &$this->getRoot();
		$first = &$root->getNext();
		
		$this->insert($object, $root, $first);
	}
	
}
?>